& {
    $request = [System.Net.FtpWebRequest]::Create('ftp://ftp.cpr.dk:321/ud')

    $request.EnableSsl = $true

    $request.Credentials = New-Object System.Net.NetworkCredential 'WREJKOR','Skum@be666'

    $request.Method = 'NLST'

    #$sp = $request.ServicePoint
    #$sp.ConnectionLimit = 1

    $response = [System.Net.FtpWebResponse]$request.GetResponse()

    $responseStream = $response.GetResponseStream()

    $readStream = New-Object System.IO.StreamReader( $responseStream, [System.Text.Encoding]::UTF8 )

    if($readStream -ne $null) { 

        $readStream.ReadToEnd()

    }

    $readStream.Close()

    $response.Close()
}

